<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/23/2003 *
 * ===================                          Last change: 09/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-add_points.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Add manually points to a user                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Manuell einem Mitglied Punkte gutschreiben       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (getRequestParameter('userid') == 'all') {
	// Add points to all accounts
	if ((isFormSent()) && (postRequestParameter('points') > 0)) {
		// Points
		$content['points'] = bigintval(postRequestParameter('points'));

		// Select all users
		$result_main = SQL_QUERY("SELECT `userid` FROM `{?_MYSQL_PREFIX?}_user_data` WHERE `status`='CONFIRMED' ORDER BY `userid` ASC",
			__FILE__, __LINE__);

		// Process all entries
		while ($content = merge_array($content, SQL_FETCHARRAY($result_main))) {
			// Remove depth to prevent booking errors. This is a bad coding
			// practice, thats also why we need to write this project from
			// scratch...
			$GLOBALS['ref_level'] = -1;

			// Ok, add points and send an email to him...
			addPointsDirectly('admin_all', $content['userid'], bigintval(postRequestParameter('points')));

			// Prepare content
			$content['text']   = SQL_ESCAPE(postRequestParameter('reason'));
			$content['points'] = bigintval(postRequestParameter('points'));

			// Load email template and send email away
			$message = loadEmailTemplate('add-points', $content, bigintval($content['userid']));
			sendEmail(bigintval($content['userid']), getMessage('ADMIN_ADD_SUBJ'), $message);
		} // END - while

		// Free memory
		SQL_FREERESULT($result_main);

		// Output message
		loadTemplate('admin_settings_saved', false, getMessage('ADMIN_ALL_POINTS_ADDED'));
	} else {
		// Display form add points
		loadTemplate('admin_add_points_all');
	}
} elseif (isGetRequestParameterSet('userid')) {
	// User id found in URL so we use this give him some credits
	if (fetchUserData(getRequestParameter('userid'))) {
		// Selected user does exist
		$content = getUserDataArray();

		if ((isFormSent()) && (isPostRequestParameterSet('points'))) {
			// Add points and send an email to him...
			addPointsDirectly('admin_single', bigintval(getRequestParameter('userid')), bigintval(postRequestParameter('points')));

			// Prepare content
			$content = array(
				'text'   => SQL_ESCAPE(postRequestParameter('reason')),
				'points' => bigintval(postRequestParameter('points'))
			);

			// Message laden
			$message = loadEmailTemplate('add-points', $content, bigintval(getRequestParameter('userid')));

			sendEmail(bigintval(getRequestParameter('userid')), getMessage('ADMIN_ADD_SUBJ'), $message);
			loadTemplate('admin_settings_saved', false, getMessage('ADMIN_POINTS_ADDED'));
		} else {
			// Prepare content
			$content['user']   = '<a href="' . generateEmailLink($content['email'], 'user_data') . '">' . $content['surname'] . ' ' . $content['family'] . '</a>';
			$content['userid'] = bigintval(getRequestParameter('userid'));

			// Output template
			loadTemplate('admin_add_points', false, $content);
		}
	} else {
		// User not found!
		loadTemplate('admin_settings_saved', false, '<div class="admin_failed">' . getMaskedMessage('ADMIN_MEMBER_404', getRequestParameter('userid')) . '</div>');
	}
} else {
	// Output selection form with all confirmed user accounts listed
	addMemberSelectionBox(0, true);
}

// [EOF]
?>
